# classes/phing/system/io/ConsoleReader.php

Convenience class for reading console input.

author
  Hans Lellelid
author
  Matthew Hershberger
package
  phing.system.io
version
  $Revision: 552 $

## \ConsoleReader
jump to top

Convenience class for reading console input.

Extends from
  \Reader
author
  Hans Lellelid
author
  Matthew Hershberger
package
  phing.system.io
version
  $Revision: 552 $

### Methods

`close( ) :`
`eof( ) : boolean`
Whether eof has been reached with stream.
Returns

Type | Description
--- | ---
boolean |

`getResource( ) : string`
Returns path to file we are reading.
Returns

Type | Description
--- | ---
string |

`open( ) :`
`read( int $len = null ) : string`
Parameters

Name | Type | Description
--- | --- | ---
$len | int | Num chars to read.

Returns

Type | Description
--- | ---
string |

`readLine( ) :`
Documentation was generated by DocBlox 0.13.1.